Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Color3f

    java.lang.Object
      javax.vecmath.Tuple3f
          javax.vecmath.Color3f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  RGBColor, Spectrum3f

    public class Color3f

extends Tuple3f
implements java.io.Serializable

A 3 element color represented by single precision floating point x,y,z coordinates. Color components should be in the range of zero to one.

Author:
  Kenji hiranabe
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3f
`x, y, z`

Constructor Summary
`Color3f()` Constructs and initializes a Color3f to (0,0,0).
`Color3f(java.awt.Color color)` Constructs color from awt.Color.
`Color3f(Color3f c1)` Constructs and initializes a Color3f from the specified Color3f.
`Color3f(float[] c)` Constructs and initializes a Color3f from input array of length 3.
`Color3f(float x, float y, float z)` Constructs and initializes a Color3f from the specified xyz
`Color3f(Tuple3d t1)` Constructs and initializes a Color3f from the specified Tuple3d.
`Color3f(Tuple3f t1)` Constructs and initializes a Color3f from the specified Tuple3f.

Method Summary
`java.lang.Object` | `clone()`
`java.awt.Color` | `get()` Gets awt.Color.
`void` | `set(java.awt.Color color)` Sets color from awt.Color.

Methods inherited from class javax.vecmath.Tuple3f
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Color3f

    public Color3f()

  Constructs and initializes a Color3f to (0,0,0).

### Color3f

    public Color3f(java.awt.Color color)

  Constructs color from awt.Color.

  Parameters:
    `color` - awt color

### Color3f

    public Color3f(Color3f c1)

  Constructs and initializes a Color3f from the specified Color3f.

  Parameters:
    `c` - the Color3f containing the initialization x y z data

### Color3f

    public Color3f(float[] c)

  Constructs and initializes a Color3f from input array of length 3.

  Parameters:
    `c` - the array of length 3 containing xyz in order

### Color3f

    public Color3f(float x,
                   float y,
                   float z)

  Constructs and initializes a Color3f from the specified xyz

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Color3f

    public Color3f(Tuple3d t1)

  Constructs and initializes a Color3f from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### Color3f

    public Color3f(Tuple3f t1)

  Constructs and initializes a Color3f from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Tuple3f`

### get

    public final java.awt.Color get()

  Gets awt.Color.

  Returns:
    color awt color

### set

    public final void set(java.awt.Color color)

  Sets color from awt.Color.

  Parameters:
    `color` - awt color

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD